Total Access Docs
Openapi

Update outbound webhook

PUT
/api/v1/integrations/webhooks/outbound/{id}

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for REST API endpoints (user-facing apps).

Authorization: Bearer <jwt_access_token>

Tokens expire after 15 minutes. Use the refresh token to obtain a new one.

In: header

Path Parameters

id*integer

Header Parameters

X-API-Version?string

Date-based minor version negotiation (e.g. 2026-07-01). If omitted, the latest version is used.

Match^\d{4}-\d{2}-\d{2}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/api/v1/integrations/webhooks/outbound/0" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "url": "http://example.com",    "auth_type": "hmac",    "events": [      "string"    ]  }'
{  "success": true,  "data": {    "id": 0,    "name": "string",    "url": "http://example.com",    "auth_type": "hmac",    "events": [      "string"    ],    "is_active": true,    "retry_count": 0,    "timeout_seconds": 0,    "created_at": "2019-08-24T14:15:22Z"  }}